curl --request GET \
--url https://sandbox.cashfree.com/verification/aa/fi \
--header 'x-client-id: <api-key>' \
--header 'x-client-secret: <api-key>'import requests
url = "https://sandbox.cashfree.com/verification/aa/fi"
headers = {
"x-client-id": "<api-key>",
"x-client-secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-client-id': '<api-key>', 'x-client-secret': '<api-key>'}
};
fetch('https://sandbox.cashfree.com/verification/aa/fi', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"fi_verification_id": "Fi_12345",
"consent_verification_id": "abc12345",
"fi_ref_id": 12462,
"fi_from": "2023-01-01T00:00:00Z",
"fi_to": "2023-12-31T23:59:59Z",
"status": "ACTIVE",
"fi_data": [
{
"fip_id": "FIP_1",
"accounts": [
{
"link_ref_number": "b2328fa7-0dcd-2314-asb5-9ef7b4c1cz6b",
"masked_acc_number": "XXXXXX4363",
"status": "DELIVERED",
"data": {
"account": {
"type": "DEPOSIT",
"profile": {
"holders": {
"type": "SINGLE",
"holder": {
"address": "729, 2nd main 2nd Cross, 8th Block, Kormangala, Bangalore - 560095",
"ckyc_compliance": "true",
"dob": "1960-08-15",
"email": "dummymail@mail.com",
"landline": "",
"mobile": "9876543219",
"name": "Vinay Kumar",
"nominee": "REGISTERED",
"pan": "DUMPY0000A"
}
}
},
"summary": {
"current_balance": "666.33",
"currency": "INR",
"branch": "Kormangala 8th Block",
"balance_date_time": "2020-06-22T07:50:00+00:00",
"current_od_limit": "0",
"drawing_limit": "0",
"exchange_rate": " ",
"facility": "OD",
"ifsc_code": "ICIC0004444",
"micr_code": "5898240246",
"opening_date": "2002-07-06",
"status": "ACTIVE",
"type": "SAVINGS",
"pending": {
"transaction_type": "DEBIT",
"amount": "0"
}
},
"transactions": {
"start_date": "2022-04-01",
"end_date": "2022-08-30",
"transaction": [
{
"amount": "129",
"current_balance": "567.25",
"mode": "UPI",
"narration": "UPI/9876543219/getsimpl/simpl@axisbank/Axis Bank",
"reference": "RFN00076583",
"transaction_timestamp": "2021-04-01T13:20:14+05:30",
"txn_id": "M3256752",
"type": "DEBIT",
"value_date": "2022-04-01"
}
]
}
}
}
}
]
},
{
"fip_id": "FIP_2",
"accounts": [
{
"link_ref_number": "b2329f47-0dcd-2314-asb5-9ef7b4c1cz6b",
"masked_acc_number": "XXXXXX4372",
"status": "PENDING",
"data": null
}
]
}
]
}Fetch Financial Information
Fetch Financial Information
Authorizations
Client ID. You can find your ID in the Merchant Dashboard.
Client secret key. You can find your secret key in the Merchant Dashboard.
Headers
Send the signature if IP is not whitelisted.
Query Parameters
It is the unique ID created by Cashfree Payments that you receive in the response of Consent Request API.
It is the unique ID you created to identify the verification request.
Response
Consent created successfully
It is the unique ID you create to identify the financial information request. The maximum character limit is 50. Only alphaumeric, period (.), hyphen (-), and underscore ( _ ) are allowed.
"abc123"
It is the unique ID you created in the Request Consent API to identify the consent request.
"def456"
It displays the unique ID created by Cashfree Payments for reference purpose.
123456
It displays the status of the financial information request. Possible values are
- `SUCCESS`
- `ACTIVE`
- `FAILED`
- `EXPIRED`
- `PENDING`
"ACTIVE"
It is the beginning date and time of the financial information you require.
"2024-01-01T00:00:00Z"
It is the ending date and time of the financial information you require.
"2024-12-31T23:59:59Z"
Show child attributes
Show child attributes
